Index: src/sas/sasgui/perspectives/invariant/invariant.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -331,5 +331,5 @@
         new_plot.title = self.__data.title
         # Save theory_data in a state
-        if data != None:
+        if data is not None:
             name_head = name.split('-')
             if name_head[0] == 'Low':
@@ -353,5 +353,5 @@
 
         # Save data in a state: but seems to never happen
-        if new_plot != None:
+        if new_plot is not None:
             self.invariant_panel.state.data = copy.deepcopy(new_plot)
         wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot,
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -609,5 +609,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
         # set a state for this computation for saving
-        elif event != None:
+        elif event is not None:
             self._set_compute_state(state='compute')
             self._set_bookmark_flag(True)
@@ -718,5 +718,5 @@
         self._set_preview_flag(True)
 
-        if event != None:
+        if event is not None:
             self._set_preview_flag(True)
             self._set_save_flag(True)
@@ -1022,5 +1022,5 @@
         self.state.saved_state['state_num'] = 0
         self.state.saved_state['compute_num'] = 0
-        if self._data != None:
+        if self._data is not None:
             self.state.saved_state['file'] = str(self._data.name)
         else:
@@ -1244,5 +1244,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent.get_save_location()
         if self._default_save_location is None:
@@ -1254,5 +1254,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = \
                     self._default_save_location
@@ -1393,5 +1393,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1411,5 +1411,5 @@
         Disable or enable some button if the user enable low q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1438,5 +1438,5 @@
         Enable editing power law section at low q range
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1537,5 +1537,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
 
@@ -1554,5 +1554,5 @@
         Disable or enable some button if the user enable high q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -281,5 +281,5 @@
         # File name
         element = newdoc.createElement("filename")
-        if self.file != None and self.file != '':
+        if self.file is not None and self.file != '':
             element.appendChild(newdoc.createTextNode(str(self.file)))
         else:
@@ -734,5 +734,5 @@
                     # invstate could be None when .svs file is loaded
                     # in this case, skip appending to output
-                    if invstate != None:
+                    if invstate is not None:
                         sas_entry.meta_data['invstate'] = invstate
                         sas_entry.filename = invstate.file