Index: theoryview/media/averaging_help.html
===================================================================
--- theoryview/media/averaging_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,93 +1,0 @@
-<html>
-<body>
-
-<h4>Data Averaging</h4>
-<ul>
-<li><a href="#Description">Description</a></li>
-<li><a href="#How to use">How to Average? </a></li>
-<p> Below follow the list of available averages: </p>
-<li><a href="#Sector"> Sector [Q view]</a></li>
-<li><a href="#Annulus"> Annulus [Phi view]</a></li>
-<li><a href="#Box sum"> Box sum</a></li>
-<li><a href="#Box averaging in Qx"> Box averaging in Qx</a></li>
-<li><a href="#Box averaging in Qy"> Box averaging in Qy</a></li>
-<li><a href="#Circular Average">Perform Circular Average</a></li>
-</ul>
-<h5><a name="Description">Description</a></h5>
-<p>
- This feature allows you to perform different types of averages on your data,
- and allows you to see what regions of the detector will contribute to 
- the average. 
- The regions to be averaged are clearly shown on the data, and can be easily adjusted. 
-This feature is available only for 2D Data.
-</p>
-
-
-<h5><a name="How to use">How to Average?</a></h5>
-<p>
-Right click on 2D data for the context menu to appear. Select one type of averages
-among <b>"sector [Q view]", "Annulus [Phi view]", "Box sum", "Box averaging in Qx ",
-"box averaging on Qy","Perform circular Average".</b>
-</p> 
-<p>
-A slicer will appear except for <b> "Perform circular Average"</b>
-that you can drag by clicking on a slicer 's marker
- .When the marker is highlighted in red , it means that the slicer can change size.You can
- also move some of the slicer by simply drag its side when highlighted in red.
- the slicer size will be reset to its previous size if the user try to select a region greater 
- than the size of the data.
- 
-</p>
- <p>The user can also select a region to average when a slicer has been selected already by <b>right 
- clicking </b> on the context menu and selecting <b>Edit Slicer Parameters</b>. The dialog window 
- will appears and the user can enter values to selected a region or selected numbers of points to 
- plot <b>nbins</b>.
-</p>
- 
-<p>
- For <b>Box sum</b> , when the user selects this option, a new panel is created containing 
- the result of average of the sum of every pixels contains on  that data.The user can also enter 
- values to select a region.
-</p>
-
-
-<h5><a name="Sector">Sector [Q view]</a></h5>
-<p>
-It averages in constant q-arcs. The width of the sector
- is specified in degrees (+/- delta phi) each direction from the central angle (phi)
-</p>
-
-<h5><a name="Annulus"> Annulus [Phi view]</a></h5>
-<p>
-It performs an average between two q-values centered in (0,0),
- and averaged over a width of a specified number of pixels.
- The data is returned as a function of angle (phi) in degrees.Moving one circle of this slicer
- to radius of zero corresponding to a circular averaging on radius qmax , the outer circle.
-</p>
-
-<h5><a name="Box sum"> Box sum</a></h5>
-<p>
-Perform the sum of counts in a 2D region of interest.When editing the slicer ,the user can 
-enter the length and the width the rectangle slicer and the coordinates of the center of this
-rectangle.
-</p>
-<h5><a name="Box averaging in Qx"> Box averaging in Qx</a></h5>
-<p>
-Computes average I(Qx) for a region of interest.When editing the slicer ,the user can 
-enter the length and the width the rectangle slicer.
-</p>
-<h5><a name="Box averaging in Qy"> Box averaging in Qy</a></h5>
-<p>
- Computes average I(Qy) for a region of interest.When editing the slicer ,the user can 
-enter the length and the width the rectangle slicer.
-</p>
-
-
-<h5><a name="Circular Average">Perform Circular Average</a></h5>
-<p>
-It will perform and average in constant q-rings around the (x,y)
- pixel location of the beam center
-</p>
-</body>
-</html>
-
Index: theoryview/media/change_scale_help.html
===================================================================
--- theoryview/media/change_scale_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<html>
-<body>
-<h4>Change scale</h4>
-<p>
-	If the loaded data is a 1-D data.Changing scale or Data Representation will work as
-	followed:<b>right click</b> on the plot window.
-	A context menu pops-up  and select <b>Change Scale</b>. A dialog window titled<b>
-	select the scale of the graph</b> will pop-up then change the <b>x</b>, the <b>y</b>
-	and the <b>view </b> values as wish.
-	If the loaded data  is an image.<b>Right click</b> on the image to pop-up the context
-	menu. Select <Toggle linear/Log scale> to switch from linear to log scale. The scale 
-	selected is printed on the statusbar.
-	
-</p>
-</body>
-</html>
Index: theoryview/media/glossaryhelp.html
===================================================================
--- theoryview/media/glossaryhelp.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<html>
-
-<body bgcolor="#ffffff">
-<h4>Table of Contents</h4>
-
-<ul>
-<li><a href="load_data_help.html">Load a File</a></li>
-<li><a href="single_fit_help.html">Single fit</a></li>
-<li><a href="simultaneous_fit_help.html">Simultaneous fit</a></li>
-<li><a href="change_scale_help.html">Change scale</a></li>
-<li><a href="reset_Graph_help.html">Reset graph</a></li>
-<li><a href="save_data_help.html">Save data</a></li>
-<li><a href="model_use_help.html">visualize model</a></li>
-<li><a href="sld_calculator_help.html">SLD Calculator</a></li>
-<li><a href ="doc/averaging_help.html">Data Averaging</a><br></li>
-</ul>
-
-</body>
-</html>
Index: theoryview/media/help.html
===================================================================
--- theoryview/media/help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<html>
-
-<frameset cols="120,*">
-
-<frame src="model_use_help.html">
-<frame src="load_data_help.html" name="showframe">
-
-</frameset>
-
-</html>
-
Index: theoryview/media/load_data_help.html
===================================================================
--- theoryview/media/load_data_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<html>
-<body>
-
-<p>
-<h4>Loading File</h4>
-From Menu go to <b>file</b> -><b>open</b>. Select a file from the dialog window and click on Open.
-Data contained in the file will be displayed. To cancel the loading click on <b>cancel</b>.
-In case a file can not be loaded, an error message will be displayed on the statusbar.
-</p>
-
-</body>
-</html>
Index: theoryview/media/reset_Graph_help.html
===================================================================
--- theoryview/media/reset_Graph_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,58 +1,0 @@
-<html>
-<body>
-
-<h4>Graph help</h4>
-<ul>
-<li><a href="#add">Add Errors</a></li>
-<li><a href="#drag">Drag plot</a></li>
-<li><a href="#reset">Reset Graph</a></li>
-<li><a href="#save">Save Data</a></li>
-<li><a href="#select">Select Data</a></li>
-<li><a href="#zoom ">Zoom in/out</a></li>
-<li><a href="#remove ">Remove Data</a></li>
-</ul>
-
-<h5><a name="add">Add Error</a></h5>
-<p> 
-	Right click on a theory plot.On context menu select <b> Add Error</b>.
-	Errors will be added to the theory.
-</p>
-
-<h5><a name="zoom">Zoom in/out</a></h5>
-<p> 
-	Click on the plotting window, roll the wheel up to zoom out and roll it down
-	to zoom in.
-</p>
-
-<h5><a name="reset">Reset Graph</a></h5>
-<p>
-	To reset the graph's size, right click on the plot and the context menu pops-up.
-	Select <b>Reset Graph</b> and the plot will take its initial dimensions
-</p>
-
-<h5><a name="select"> Select Data</a></h5>
-<p>
-	Right click on the data plotted. It will be highlighted in yellow to interact with
-	the data via context menu.
-</p>
-
-<h5><a name="save"> Save Data</a></h5>
-<p>
-	Right click on plot. Context menu will pop-up select save image [file name].A dialog
-	window opens and write a the name of the file to save and click on <b>Save</b>
-</p>
-
-<h5><a name="drag"> Drag plot</a></h5>
-<p>
-	<b>Left Click</b> on inside the graph and hold the left button on of the mouse and 
-	move the mouse to the direction wanted.
-</p>
-
-<h5><a name="remove">Remove Data</a></h5>
-<p>
-	Highlight the plot and the context menu appears.Select <b>remove [fine name]</b>.
-	The plot selected will disappear.
-</p>
-
-</body>
-</html>
Index: theoryview/media/simultaneous_fit_help.html
===================================================================
--- theoryview/media/simultaneous_fit_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<html>
-<body>
-
-<h4>Simultaneous Fit</h4>
-<p>
-	Can only happen with more than 2 data select with their associated model.
-	Can only operate with the park engine selected <b>Fitting</b> on the menu.
-	check <b> park</b>.
-</p>
-<ul>
-<li><a href="#noconstraint">Simultaneous Fit without constraint</a></li>
-<li><a href="#constraint">Simultaneous Fit with constraint</a></li>
-</ul>
-
-<h5><a name="noconstraint">Simultaneous Fit without constraint</a></h5>
-<p> 
-	Highlight the data to fit. Select from the context menu <b>Select Data for fitting</b>.
-	A new tab with the name of the data selected will appears. Select a model used for the fit
-	from the combo box. Model's parameters will be display.Set initial parameters if need.
-	Check at least one parameter to fit.Go to <b>Simultaneous Fit</b> and check at least 2
-	models name to fit.Click on <b> constraint fit </b> button. results will be displayed on 
-	tabs corresponding to each model select.
-	
-</p>
-
-<h5><a name="constraint">Simultaneous Fit with constraint</a></h5>
-<p>
-	Perform <a href="#noconstraint">Simultaneous Fit without constraint</a> step.
-	Enter constraint in the text control next to  <b>constraint fit</b> button.
-	Constraint should be of type model1 parameter name = f(model2 parameter name)for example, M0.radius=2*M1.radius.
-	Many constraints can be entered for a single fit.Each of them should be separated 
-	by a newline charater or ";"
-</p>
-
-</body>
-</html>
Index: theoryview/media/single_fit_help.html
===================================================================
--- theoryview/media/single_fit_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<html>
-<body>
-
-<h4>Single Fit</h4>
-<ul>
-<li><a href="#fitpage">Single Fit</a></li>
-<li><a href="#linearfit">Linear Fit</a></li>
-</ul>
-
-<h5><a name="fitpage">Single Fit</a></h5>
-<p> 
-	Move the mouse pointer to the data plot to highlight (yellow).  When right clicking and holding, a pop-up (context) menu will appear. 
-	Select from the context menu <b>Select Data for fitting</b>.
-	A new tab with the name of the data selected will appears. Select a model used for the fit
-	from the combo box. Model's parameters will be display.Set initial parameters if need.
-	Check at least one parameter to fit.Click on <b> Fit</b> button.
-	New parameters values will be displayed as well as error and new chi square associated
-	with the fit operation.
-	The model will be replotted with its new values.
-	Errors will be display on the statusbar.
-	Single fit can also be perform on the "<b>simultaneous fit </b>" tab is parameters are previously 
-	selected on the page corresponding to a model name check. if one model is check, click 
-	on <b> constraint fit </b> button to perform a single fit. results will be displayed on 
-	the appropriate tab.
-	
-</p>
-
-<h5><a name="linearfit">Linear Fit</a></h5>
-<p>
-	Linear fit is performed with a line model. Highlight data to fit.From the context menu
-	select <b> Linear Fit</b>.A dialog window appears.Change model initial parameters, data limits
-	and hit <b> fit</b> button. New parameters values are displayed and the line with the new 
-	parameters is added to the plot.
-</p>
-
-</body>
-</html>
Index: theoryview/media/sld_calculator_help.html
===================================================================
--- theoryview/media/sld_calculator_help.html	(revision 614cf546ef134284de681c5079b4d8b1f30abfdd)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<html>
-<body>
-<h4>Scattering Length Density (SLD) Calculator</h4>
-<ul>
-<li><a href="#SLD_calculator">Description</a></li>
-<li><a href="#How to use">How to format the compound name?</a></li>
-</ul>
-<h5><a name="SLD_calculator">Description</a></h5>
-<p>
-The neutron scattering length density is defined as: <br> 
-SLD = (b_c1 +b_c2+...+b_cn )/Vm  <br> where b_ci is the bound coherent scattering length of ith of 
-n atoms in a molecule with the molecular volume Vm
-</p>
-
-
-<h5><a name="How to use">How to format the compound name?</a></h5>
-<p>
-To calculate scattering length densities enter a compound and
-a mass density and click "Calculate". Enter a wavelength value is optional and its default 
-value will be 6.0A.
-</p> 
-<p>
-<ul>
-<li>Formula strings consist of counts and atoms such as "CaCO3+6H2O".</li>
-<li>Groups can be separated by <b>'+'</b> or <b>space</b>, so "CaCO3 6H2O" works as well.</li>
-<li>Groups and be defined using parentheses, such as "CaCO3(H2O)6".</li>
-<li>Parentheses can nest: "(CaCO3(H2O)6)1".</li>
-<li>Isotopes are represented by index, e.g., "CaCO[18]3+6H2O".</li>
-More examples: H[1], H[2].
-<li>Counts can be integer or decimal, e.g. "CaCO3+(3HO0.5)2".</li>
-Other compositions can be calculated as well,<br>
-for example a 70-30 mixture of H2O/D2O can be written as <b>H14O7+ D6O3</b><br>
-or more simply <b>H7D3O5 <\b>(i.e. 7 hydrogens, 3 deuteriums, and 5 oxygens)<br>
-and the mass density calculated based on the percentages of H and D. 
-Type for example "C[13]6 H[2]12 O[18]6" for C(13)6H(2)12O(18)6 (6 Carbon-13 atoms, 12 deuterium atoms, and 6 Oxygen-18 atoms) 
-
-</ul>
-</p>
-
-</body>
-
-<\html>