Index: src/sas/qtgui/MainWindow/UI/MainWindowUI.ui
===================================================================
--- src/sas/qtgui/MainWindow/UI/MainWindowUI.ui	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/MainWindow/UI/MainWindowUI.ui	(revision 85487ebde1da6834e3b9b190b764570cf0cf1c4e)
@@ -384,5 +384,5 @@
   <action name="actionFit_Options">
    <property name="text">
-    <string>Fit Options</string>
+    <string>Fit Algorithms</string>
    </property>
   </action>
Index: src/sas/qtgui/Perspectives/Fitting/FittingOptions.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingOptions.py	(revision 72f48343c6b87b2752d741732a03954367a57a60)
+++ src/sas/qtgui/Perspectives/Fitting/FittingOptions.py	(revision 85487ebde1da6834e3b9b190b764570cf0cf1c4e)
@@ -46,5 +46,5 @@
         self.setFixedSize(self.minimumSizeHint())
 
-        self.setWindowTitle("Fitting Options")
+        self.setWindowTitle("Fit Algorithms")
 
         # Fill up the algorithm combo, based on what BUMPS says is available
Index: src/sas/qtgui/Perspectives/Fitting/UI/FittingOptionsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/FittingOptionsUI.ui	(revision 72f48343c6b87b2752d741732a03954367a57a60)
+++ src/sas/qtgui/Perspectives/Fitting/UI/FittingOptionsUI.ui	(revision 85487ebde1da6834e3b9b190b764570cf0cf1c4e)
@@ -68,5 +68,9 @@
              </item>
              <item row="0" column="1">
-              <widget class="QLineEdit" name="samples_dream"/>
+              <widget class="QLineEdit" name="samples_dream">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Number of points to be drawn from the Markov chain.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="1" column="0">
@@ -78,5 +82,9 @@
              </item>
              <item row="1" column="1">
-              <widget class="QLineEdit" name="burn_dream"/>
+              <widget class="QLineEdit" name="burn_dream">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The number of iterations to required for the Markov chain to converge to the equilibrium distribution.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="2" column="0">
@@ -88,5 +96,9 @@
              </item>
              <item row="2" column="1">
-              <widget class="QLineEdit" name="pop_dream"/>
+              <widget class="QLineEdit" name="pop_dream">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The size of the population.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="3" column="0">
@@ -99,4 +111,7 @@
              <item row="3" column="1">
               <widget class="QComboBox" name="init_dream">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-style:italic;&quot;&gt;Initializer&lt;/span&gt; determines how the population will be initialized. The options are as follows:&lt;/p&gt;&lt;p&gt;&lt;span style=&quot; font-style:italic;&quot;&gt;eps&lt;/span&gt; (epsilon ball), in which the entire initial population is chosen at random from within a tiny hypersphere centered about the initial point&lt;/p&gt;&lt;p&gt;&lt;span style=&quot; font-style:italic;&quot;&gt;lhs&lt;/span&gt; (latin hypersquare), which chops the bounds within each dimension in &lt;span style=&quot; font-weight:600;&quot;&gt;k&lt;/span&gt; equal sized chunks where &lt;span style=&quot; font-weight:600;&quot;&gt;k&lt;/span&gt; is the size of the population and makes sure that each parameter has at least one value within each chunk across the population.&lt;/p&gt;&lt;p&gt;&lt;span style=&quot; font-style:italic;&quot;&gt;cov&lt;/span&gt; (covariance matrix), in which the uncertainty is estimated using the covariance matrix at the initial point, and points are selected at random from the corresponding gaussian ellipsoid&lt;/p&gt;&lt;p&gt;&lt;span style=&quot; font-style:italic;&quot;&gt;random&lt;/span&gt; (uniform random), in which the points are selected at random within the bounds of the parameters&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
                <item>
                 <property name="text">
@@ -129,5 +144,9 @@
              </item>
              <item row="4" column="1">
-              <widget class="QLineEdit" name="thin_dream"/>
+              <widget class="QLineEdit" name="thin_dream">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The amount of thinning to use when collecting the population.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="5" column="0">
@@ -139,5 +158,9 @@
              </item>
              <item row="5" column="1">
-              <widget class="QLineEdit" name="steps_dream"/>
+              <widget class="QLineEdit" name="steps_dream">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Determines the number of iterations to use for drawing samples after burn in.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
             </layout>
@@ -175,5 +198,9 @@
              </item>
              <item row="0" column="1">
-              <widget class="QLineEdit" name="steps_lm"/>
+              <widget class="QLineEdit" name="steps_lm">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The number of gradient steps to take.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="1" column="0">
@@ -185,5 +212,9 @@
              </item>
              <item row="1" column="1">
-              <widget class="QLineEdit" name="ftol_lm"/>
+              <widget class="QLineEdit" name="ftol_lm">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="2" column="0">
@@ -195,5 +226,9 @@
              </item>
              <item row="2" column="1">
-              <widget class="QLineEdit" name="xtol_lm"/>
+              <widget class="QLineEdit" name="xtol_lm">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
             </layout>
@@ -231,5 +266,9 @@
              </item>
              <item row="0" column="1">
-              <widget class="QLineEdit" name="steps_newton"/>
+              <widget class="QLineEdit" name="steps_newton">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The number of gradient steps to take.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="1" column="0">
@@ -241,5 +280,9 @@
              </item>
              <item row="1" column="1">
-              <widget class="QLineEdit" name="starts_newton"/>
+              <widget class="QLineEdit" name="starts_newton">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Value thattells the optimizer to restart a given number of times. Each time it restarts it uses a random starting point.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="2" column="0">
@@ -251,5 +294,9 @@
              </item>
              <item row="2" column="1">
-              <widget class="QLineEdit" name="ftol_newton"/>
+              <widget class="QLineEdit" name="ftol_newton">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="3" column="0">
@@ -261,5 +308,9 @@
              </item>
              <item row="3" column="1">
-              <widget class="QLineEdit" name="xtol_newton"/>
+              <widget class="QLineEdit" name="xtol_newton">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
             </layout>
@@ -297,5 +348,9 @@
              </item>
              <item row="0" column="1">
-              <widget class="QLineEdit" name="steps_de"/>
+              <widget class="QLineEdit" name="steps_de">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The number of iterations.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="1" column="0">
@@ -317,5 +372,9 @@
              </item>
              <item row="2" column="1">
-              <widget class="QLineEdit" name="CR_de"/>
+              <widget class="QLineEdit" name="CR_de">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The size of the population.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="3" column="0">
@@ -327,5 +386,9 @@
              </item>
              <item row="3" column="1">
-              <widget class="QLineEdit" name="F_de"/>
+              <widget class="QLineEdit" name="F_de">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Determines how much to scale each difference vector before adding it to the candidate point.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="4" column="0">
@@ -337,5 +400,9 @@
              </item>
              <item row="4" column="1">
-              <widget class="QLineEdit" name="ftol_de"/>
+              <widget class="QLineEdit" name="ftol_de">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="5" column="0">
@@ -347,5 +414,9 @@
              </item>
              <item row="5" column="1">
-              <widget class="QLineEdit" name="xtol_de"/>
+              <widget class="QLineEdit" name="xtol_de">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
             </layout>
@@ -383,5 +454,9 @@
              </item>
              <item row="0" column="1">
-              <widget class="QLineEdit" name="steps_amoeba"/>
+              <widget class="QLineEdit" name="steps_amoeba">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The number of simplex update iterations to perform.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="1" column="0">
@@ -393,5 +468,9 @@
              </item>
              <item row="1" column="1">
-              <widget class="QLineEdit" name="starts_amoeba"/>
+              <widget class="QLineEdit" name="starts_amoeba">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Tells the optimizer to restart a given number of times. Each time it restarts it uses a random starting point.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="2" column="0">
@@ -403,5 +482,9 @@
              </item>
              <item row="2" column="1">
-              <widget class="QLineEdit" name="radius_amoeba"/>
+              <widget class="QLineEdit" name="radius_amoeba">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;The initial size of the simplex, as a portion of the bounds defining the parameter space.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="3" column="0">
@@ -413,5 +496,9 @@
              </item>
              <item row="3" column="1">
-              <widget class="QLineEdit" name="ftol_amoeba"/>
+              <widget class="QLineEdit" name="ftol_amoeba">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected. &lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
              <item row="4" column="0">
@@ -423,5 +510,9 @@
              </item>
              <item row="4" column="1">
-              <widget class="QLineEdit" name="xtol_amoeba"/>
+              <widget class="QLineEdit" name="xtol_amoeba">
+               <property name="toolTip">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Used to determine when the fit has reached the point where no significant improvement is expected. &lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
              </item>
             </layout>
Index: src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingOptionsTest.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingOptionsTest.py	(revision 72f48343c6b87b2752d741732a03954367a57a60)
+++ src/sas/qtgui/Perspectives/Fitting/UnitTesting/FittingOptionsTest.py	(revision 85487ebde1da6834e3b9b190b764570cf0cf1c4e)
@@ -33,5 +33,5 @@
         self.assertIsInstance(self.widget, QtGui.QDialog)
         # Default title
-        self.assertEqual(self.widget.windowTitle(), "Fitting Options")
+        self.assertEqual(self.widget.windowTitle(), "Fit Algorithms")
 
         # The combo box